
QGIS Application - Bug report #20652

QGIS 3.4.1 crashing

2018-11-28 06:38 AM - Jackie Murphy

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:3.4.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 28472

Description

User Feedback

WMS connections were lost and when I went to save the project and exit - the program crashed

Report Details

Crash ID: 62f1fcd2045780cb9f127836e6b579b8665f3e63

Stack Trace

proj_lpz_dist :

proj_lpz_dist :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::QgsCoordinateTransform :

QHashData::free_helper :

QgsCoordinateTransform::addToCache :

QgsCoordinateTransform::invalidateCache :

QgsApplication::exitQgis :

QgisApp::~QgisApp :

CPLStringList::operator[] :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.1-Madeira

QGIS code revision: commit:383851c597

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Duplicates QGIS Application - Bug report # 20283: Crash when exiting program ... Reopened 2018-10-30

History

#1 - 2018-11-28 08:05 AM - Giovanni Manghi

- Status changed from Open to Feedback
Random crashes issues were fixed for 3.4.2. Anyway I'm wondering if this report is a bout something that can be replicated. What do you mean with "WMS

connections were lost"?

#2 - 2018-11-28 10:47 AM - Jorge Rocha

This can be the same problem reported as #20571

Jackie, can you update to 3.4.2 and check if it is still crashing?

#3 - 2018-11-28 08:59 PM - Jürgen Fischer

- Duplicates Bug report #20283: Crash when exiting program [proj_lpz_dist] added

#4 - 2018-12-14 08:54 AM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Feedback to Closed
